const Gatherer = require('lighthouse').Gatherer;

class DataLoadTimeGatherer extends Gatherer {
	beforePass() {}
	
	afterPass(options) {
	  const driver = options.driver;
	  return driver.evaluateAsync('window.TimeToLoadData')
	    .then(metrics => {
	      if(!metrics || metrics.dataLoadTime === undefined) {
				  throw new Error('Error, did not find the metrics');
	      }
	
	      return metrics;
	    });
	}
}

module.exports = DataLoadTimeGatherer;